SREVIEW-CONFIG(1p)

NAME
sreview-config - manage the SReview configuration

SYNOPSIS
sreview-config --help|--config-file=FILE|--action=ACTION|--set=KEY|VALUE

DESCRIPTION
sreview-config is used to manage the SReview configuration from the command line. It takes up to two options: the current configuration file to read defaults from, and the action to perform on that configuration file.

It can be used on upgrade of SReview to a newer version, to initialize the configuration with working settings, or to initialize the database.

OPTIONS

  --help
Produce help output.

  --config-file=FILE
Use "FILE" as the configuration file to read defaults from. If this parameter is not specified, then sreview-config will try the file "config.pm" in the directory pointed to by the "SREVIEW_WDIR" environment variable, followed by "/etc/sreview/config.pm", and then fall back on the builtin defaults.

  --set=KEY=VALUE
After reading the selected config file (see "--config-file") and before performing the requested action, set the value of configuration setting "KEY" to "VALUE".

This option can be repeated multiple times as needed.

  --action=ACTION
Perform ACTION, which can be one of:

dump

Write the current configuration to standard output. Note: Do not redirect the output of this command to the active configuration file, since that will overwrite the active configuration file with empty data before it is read by "sreview-config", which will not work. See "update" for that.

initdb

Read the configuration file, then initialize the database that is configured.

Note that this action is not strictly necessary; sreview-web will implicitly initialize and upgrade the database to the latest version at startup.

update

Read the configuration file, then rewrite it with new settings that are not found in the current configuration file, as well as incorporating configuration settings that were set with "--set".

This is useful on upgrade of SReview, so that new configuration options can be added to the configuration file without loss of old options. It can also be used as a way to configure "sreview".

  --get=KEY
Get the value of KEY, in JSON format